eoSelect(3)

NAME
eoSelect - eoSelect selects a number of individuals from the first argument and puts it in the second.

SYNOPSIS

#include <eoSelect.h>

Inherits eoBF< const eoPop< EOT > &, eoPop< EOT > &, void >.

Inherited by eoDetSelect< EOT >, eoEasyEA< EOT >::eoDummySelect, eoSelectMany< EOT >, eoSelectNumber< EOT >, eoSelectPerc< EOT >, eoTruncatedSelectMany< EOT >, and eoTruncSelect< EOT >.

Detailed Description

  template<class EOT> class eoSelect< EOT >
eoSelect selects a number of individuals from the first argument and puts it in the second. To emphasize that it should not try to enlarge the population, the second argument is an eoPopRange, a simple struct that holds a begin and end iterator to the population

Definition at line 40 of file eoSelect.h.

Author

Generated automatically by Doxygen for EO from the source code.